Subject: Re: bug#65116: 29.1; query-replace-read-args fails reading second arg in detached minibuf

From: Jim Rees <[email-masked]>
Date: Fri, 12 Jan 2024 12:57:42 -0600

Well that's a relief. I do have an unusual setup with detached minibuf and
focus follows mouse. There has been a lot of churn in replace.el and frame.c
lately and I keep hoping the bug will go away on its own. I don't really
understand all the focus changes in the code but I do see why they are
necessary.

I have a workaround, I have bound this to a key and use it to re-focus to
the minibuf so I can enter the 'to' text:

(select-frame-set-input-focus (window-frame (minibuffer-window)))

But that requires manual intervention so for now I'm sticking with 28.1.

(Focus follows mouse was common years ago, but with the relentless quest to
make X work just like MS Windows it has become less popular)